Subject: trajectory files - summary

From: Amir Gil <[email-masked]>
Date: Wed, 7 Feb 1996 12:08:44 +0200 (IST)

Hello netters!
Yesterday I sent a question concernning the translation of trajectory 
files from ALPHA machine to SGI machine.
I got plenty of answers and I want to summarize them for you.
I will put in only the most usefull ones, to make it short.
Thanks to all the reponders, for their time and help.
 Amir

############################################################################
From: Steve Lionel 06-Feb-1996 0914 -0500 <[email-masked]>
To: [email-masked]
Subject: RE: binary files on SGI and ALPHA processors

Compile with -convert big_endian.  The Alpha is a "little endian" byte order
machine, while the SGI is "big endian".  This refers to whether the least
significant bits are in the lowest addressed byte (little endian) or
highest addressed byte (big endian).  If you specify -convert big_endian on
the command line, DEC Fortran will read and write binary data files using
big endian format.

You can also select big_endian for specific units - for further information,
please see the appendix on "Converting Unformatted Numeric Data" in the
DEC Fortran User Manual.

                                Steve
############################################################################
From: Walter Polkosnik <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Subject: Re: CCL:CHARMm trajectory files-difference between SGI and alpha
outputs
Different computer architectures store data differently, because of
microprocessor hardware details. In order to convert your DEC files to
SGI, you first must use the DYNA FORM command on the DEC DCD files
to convert the files to text (DHX) format. You then need to ftp those files
to the SGI and run the text files through DYNA UNFORM in CHARMm. I have
done this before to convert Cray files to SGI files. If you need ore
information I can send you my CHARMm input files that do this.

############################################################################
From: "Eldbjoerg S. Heimstad" <[email-masked]>
To: Amir Gil <[email-masked]>
Subject: Re: CCL:CHARMm trajectory files-difference between SGI and alpha
outputs

Hi,

Here is an example script file for converting DCD files to
DHX files (formatted) :

---------

* Converting binary dcd-files to formatted dhx-files
* Remember to convert the dhx-files to dcd files on your
* personal machine

OPEN READ UNIT 11  FILE NAME "/tmp2/eldbjorg/AMINO.BIN"
READ RTF UNIT 11 FILE
CLOSE UNIT 11
OPEN READ UNIT 02 FILE NAME "/tmp2/eldbjorg/PARM.BIN"
READ PARAMETERS UNIT 02 FILE
CLOSE UNIT 02

open read unit 07 card name str_34a.psf
read psf card unit 07
close unit 07

OPEN READ UNIT 08 CARD NAME str_34a_min.pdb
read coor pdb unit 08
close unit 08

OPEN READ UNIT 50 FILE NAME "str34_300k_260-300.dcd"
open write unit 61  card name "str34_300k_260-300.dhx"
dyna form first 50 nunit 1 output 61
STOP

-------------------------------

And here is an example of converting DHX-files to DCD-files:

-------------------------
OPEN READ UNIT 11  FILE NAME $CHM_DATA/AMINO.BIN
READ RTF UNIT 11 FILE
CLOSE UNIT 11
OPEN READ UNIT 02 FILE NAME $CHM_DATA/PARM.BIN
READ PARAMETERS UNIT 02 FILE
CLOSE UNIT 02
OPEN READ UNIT 12 CARD NAME $CHM_DATA/MASSES.RTF
READ RTF UNIT 12 CARD APPEND
CLOSE UNIT 12
OPEN READ UNIT 77 CARD NAME $CHM_DATA/IONS.RTF
READ RTF CARD UNIT 77 APPEND
CLOSE UNIT 77

open read unit 07 card name str_34a.psf
read psf card unit 07
close unit 07

OPEN READ UNIT 08 CARD NAME str_34a_min.pdb
read coor pdb unit 08
close unit 08

OPEN READ UNIT 50 CARD NAME str34_300k_140-180.dhx
open write unit 61 file name str34_300k_140-180.dcd
dyna unform input 50 output 61
STOP
-------------------------

Good luck,
  #######################################################
# Eldbjoerg Sofie Heimstad                            #
# Protein Crystallography Group                       #
# University Of Tromsoe, IMR                          #
# 9037 Tromsoe, NORWAY         phone: +47-776-45706   #
#                                     +47-776-44737   #
#                               fax : +47-776-44765   #
# E-mail: [email-masked]               #
# URL: http://www.chem.uit.no/KJEMI/heimstad.html     #
#######################################################

############################################################################
That's about it
  Thank you all
    Amir
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!  Amir Gil					   !
!  Chemical and Application engineer               !
!  Terra Computers				   !
!  Ashuah 6 st.					   !
!  Omer						   !
!  ISRAEL 84965					   !
!  Tel. 07-467502				   !
!  Fax. 07-467475				   !
!  E-Mail [email-masked]		   !
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!